<html lang="en">

    <head>
        <meta charset="UTF-8" />
        <title>Login</title>
        <link rel="stylesheet" href="css/index.css" />

        <style>
            .login {
                display: flex;
                flex-direction: row;
                justify-content: center;
                align-items: center;
            }

            .login-left {
                z-index: -1;
                padding: 48px;
                width: 40%;
                height: 100vh;
                background: linear-gradient(-60deg, #fff, #32D39A, #50A2B9, #e40040, #FC8D40, #fff);
                /* background: linear-gradient(-60deg, #A46577, #652F3E, #373D53, #5C6C7B);*/
                background-size: 800% 800%;
                animation: gradient 40s ease infinite;
                display: flex;
                justify-content: center;
                flex-direction: column;
                align-items: flex-end;
                gap: 16px;
                color: var(--cds-color-always-white);
                text-align: right;
            }

            @keyframes gradient {
                0% {
                    background-position: 0% 50%;
                }

                50% {
                    background-position: 100% 50%;
                }

                100% {
                    background-position: 0% 50%;
                }
            }

            .login-left h1 {
                letter-spacing: -2px;
                font-size: 56px;
                line-height: 1;
            }

            .login-right {
                padding: 48px;
                width: 60%;
                height: 100vh;
                background-color: var(--cds-color-background-default);
                display: flex;
                align-items: flex-start;
                justify-content: center;
                flex-direction: column;
            }

            .login-box {
                display: flex;
                flex-direction: column;
                align-items: flex-start;
                gap: 16px;
                width: 400px;
            }

            img {
                filter: brightness(0) saturate(100%) invert(100%) sepia(0%) saturate(100%) hue-rotate(0deg) brightness(100%)
            }

            #a1,
            #a2,
            #a3 {
                pointer-events: none;
                position: absolute;
                background: var(--cds-color-always-white);
                border-radius: 0%;
                opacity: 0.05;
            }

            #a1 {
                top: 0px;
                left: 150px;
                width: 800px;
                height: 800px;
            }

            #a2 {
                top: 200px;
                left: 100px;
                width: 400px;
                height: 400px;
            }

            #a3 {
                top: 545px;
                left: 440px;
                width: 100px;
                height: 100px;
            }

            /* CM SPINNER */
            .cds-full-loader {
                height: 80px;
                width: 80px;
                border: 1px solid transparent;
                border-radius: 50%;
                border-top: 1px solid #e40040;
                -webkit-animation: spin 2s linear infinite;
                animation: spin 2s linear infinite;
                position: relative;
            }

            .cds-full-loader::before,
            .cds-full-loader::after {
                content: "";
                position: absolute;
                top: 6px;
                bottom: 6px;
                left: 6px;
                right: 6px;
                border-radius: 50%;
                border: 8px solid transparent;
            }

            .cds-full-loader::before {
                border-top-color: #e2e2e2;
                -webkit-animation: 3s spin linear infinite;
                animation: 3s spin linear infinite;
            }

            .cds-full-loader::after {
                border-top-color: #e40040;
                -webkit-animation: spin 1.5s linear infinite;
                animation: spin 1.5s linear infinite;
            }

            @keyframes spin {
                from {
                    -webkit-transform: rotate(0deg);
                    transform: rotate(0deg);
                }

                to {
                    -webkit-transform: rotate(360deg);
                    transform: rotate(360deg);
                }
            }
        </style>
    </head>

    <body data-theme="light">
        <div class="login">
            <div class="login-left">
                <span id="a1"></span>
                <span id="a2"></span>
                <span id="a3"></span>

                <img src="src/PSSWave_White.svg" alt="Circutor logo" width="250px" />
                <h2>El software SCADA diseñado para la industria 4.0</h2>
                <span id="textSpan">PowerStudio SCADA WAVE es nuestra nueva interfaz de usuario que añade funcionalidades adicionales para interactuar con el software de manera más fácil, ágil y cómoda.</span>

            </div>
            <div class="login-right">
                <div class="login-box">
                    <div class="cds-full-loader"></div>
                    <h1>Bienvenido!</h1>
                    <span>Please enter your credentials to log in.</span>
                    <div class="cds-banner cds-banner--error">
                        <div class="cds-banner__header">
                            <span class="cds-banner__header__icon cds-ico-close-circle-solid"></span>
                            <span class="cds-banner__header__title">Session expired</span>
                        </div>
                        <span class="cds-banner__text">Your session has expired. Please reconnect.</span>
                    </div>
                    <div class="cds-textfield">
                        <span class="cds-textfield__icon--placeholder cds-ico-user"></span>
                        <input class="cds-textfield__field" type="text" placeholder="Usuario" />
                    </div>
                    <div class="cds-textfield">
                        <span class="cds-textfield__icon--placeholder cds-ico-lock"></span>
                        <input class="cds-textfield__field is-invalid" type="password" placeholder="Contraseña" />
                        <span class="cds-textfield__validation">This field cannot be empty</span>
                    </div>
                    <button class="cds-button cds-button--primary">
                        <span class="cds-button__text">Iniciar sesión</span>
                        <span class="cds-button__icon cds-ico-arrow-right"></span>
                    </button>
                    <span>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</span>
                </div>
            </div>
        </div>
    </body>
    <script>
        (function () {
            document.addEventListener("mousemove", parallax);
            function parallax(e) {
                let _ax = e.clientX / window.innerWidth
                let _ay = e.clientY / window.innerHeight

                document.querySelector("#a1").style.transform = "translate(" + _ax * -80 + "px," + _ay * -80 + "px)";
                document.querySelector("#a2").style.transform = "translate(" + _ax * -160 + "px," + _ay * -160 + "px)";
                document.querySelector("#a3").style.transform = "translate(" + _ax * -320 + "px," + _ay * -320 + "px)";
            }

        })();

        function swapText() {
            var texts = [
                "PowerStudio SCADA WAVE es nuestra nueva interfaz de usuario que añade funcionalidades adicionales para interactuar con el software de manera más fácil, ágil y cómoda.",
                "PowerStudio SCADA WAVE te permite crear y modificar cualquier equipo o sensor con comunicaciones Modbus para monitorizarlo, gestionarlo y controlarlo de forma remota.",
                "PowerStudio SCADA WAVE redefine la creación de dashboards con una herramienta que te permite visualizar, comparar y agrupar datos a tiempo real."
            ];
            var textSpan = document.getElementById("textSpan");
            var currentIndex = 0;
            textSpan.innerHTML = texts[currentIndex];
            currentIndex++;
            setInterval(function () {
                textSpan.style.transition = "all 0.5s ease";
                textSpan.style.transform = "translateY(30px)";
                textSpan.style.opacity = 0;
                setTimeout(function () {
                    textSpan.innerHTML = texts[currentIndex];
                    currentIndex++;
                    if (currentIndex == texts.length) {
                        currentIndex = 0;
                    }
                    textSpan.style.transform = "translateY(0px)";
                    textSpan.style.opacity = 1;
                }, 500);

            }, 5000);
        }
        swapText();
    </script>

</html>